
QGIS Application - Feature request #1694

New Geologic symbology SVGs for including with distributions

2009-05-13 08:25 AM - matter -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11754

Description

To add to the qGIS symbology database: 

Geology specific SVGs created using the US FGDC Digital Cartographic Standard for Geologic Map Symbolization

I'm posting them one at a time, because I am only working on them in my spare time, and I hope they will get included into the qGIS

symbology bundle.

All are made with Inkscape and released into the public domain.

History

#1 - 2009-05-13 08:48 AM - matter -

- Status changed from Open to In Progress

Note that all directional symbols uploaded by me (matter) are right-hand-rule oriented; that is, the dip direction of the symbol is oriented 90° Clockwise of

the azimuth.

#2 - 2009-05-20 03:49 PM - cgsbob -

Replying to matter:

To add to the qGIS symbology database: 

Geology specific SVGs created using the US FGDC Digital Cartographic Standard for Geologic Map Symbolization

I'm posting them one at a time, because I am only working on them in my spare time, and I hope they will get included into the qGIS symbology

bundle.

All are made with Inkscape and released into the public domain.

I'm interested in these symbols too.  Can you tell me what is your workflow so that I can help?

Btw, I am cc'ing wonder_sk since he expressed an interest in these symbols.

#3 - 2009-05-25 12:12 PM - matter -

I've actually just been going through the PDFs in the order they have there on their site; as you can see I started with the Joints. Whatever order or workflow

people want do do them in is fine...

Please make sure that the symbols are rotated vertically so that the symbol would be facing 000AZ, that way we can exploit the QGIS rotate symbol feature

based on strike directions in the shapefile etc.
I've also been doing all of mine Right Hand Rule, (Dip is clockwise from the strike) so continuing on that would be nice. Other than that- grab a couple of the

symbols and use them as templates. The metadata on the symbols should match the descriptions I have above.

If you get any done, thanks for the help! I'm a working geologist, so when I get free time to do this kind of stuff is very much related to the ebb and flow of

my work. Cheers!

Matt

#4 - 2009-07-19 03:53 AM - Giovanni Manghi

Hi,

these symbols have been already added to qgis?

#5 - 2009-07-19 04:56 AM - matter -

Replying to [comment:4 lutra]:

Hi,

these symbols have been already added to qgis?

Not as far as I can tell - I'm running "pan" and the symbols have not been incorporated yet- but of course, the complete set hasn't been finished yet as I

have not had much time lately. Updates to come soon.

#6 - 2009-07-23 04:56 AM - matter -

Update: I just added the complete set of Joints (4.3.x) as a zip file. Since we are adding so many symbols, I may delete the individual files and just upload

them in zip archives. Also, I don't know how to properly incorporate these into qGIS- as simply placing them under /usr/share/qgis/svg/ does not seem to do

the trick. Does anybody have information about how to let qGIS find the files? Perhaps this is something that needs to be incorporated with the

Symbology-NG plugin. Any thoughts?

#7 - 2009-07-23 05:48 AM - Paolo Cavallini

see also #746 (partial duplicate)

#8 - 2009-07-23 07:02 AM - Giovanni Manghi

- Status changed from In Progress to Open

#9 - 2009-11-30 12:44 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Users can now add new svg symbols by going in "options -> svg and rendering -> svg paths". I'll make an archive of this symbols and ask someone to

make them available on the qgis site.

2024-03-20 2/3



Files

sm_horizontal_joint1.svg 4.72 KB 2009-05-13 matter -

sm_horizontal_joint2.svg 4.72 KB 2009-05-13 matter -

sm_inclined_joint_SD1.svg 4.78 KB 2009-05-13 matter -

sm_inclined_joint_SD2.svg 4.85 KB 2009-05-13 matter -

sm_vertical_joint1.svg 4.78 KB 2009-05-13 matter -

sm_vertical_joint2.svg 4.8 KB 2009-05-13 matter -

sm_inclined_joint_SD1_multiple_R.svg 5.18 KB 2009-05-13 matter -

sm_inclined_joint_SD1_multiple_L.svg 5.29 KB 2009-05-13 matter -

sm_vertical_joint1_multiple.svg 5.93 KB 2009-05-13 matter -

sm_inclined_joint_SD2_multiple_R.svg 5.34 KB 2009-05-13 matter -

4.3.x_FGDC_Joints.zip 70.2 KB 2009-07-23 matter -
